<template>
    <div>
        <vol-box v-model="showDetialBox" :lazy="true" width="1200px" :padding="15" title="入库单据明细">
                <div style="height: 600px;width:100%">
                <el-table :data="tableData" border style="width: 100% ;height: 120;" :row-class-name="tableRowClassName">
                <el-table-column type="index" width="50" label="#"> </el-table-column>
                <el-table-column prop="inboundNo" label="单据编号" width="120" ></el-table-column>
                <el-table-column prop="batchNo" label="批次号" width="120" ></el-table-column>
                <el-table-column prop="inboundType" label="单据类型" width="120" ></el-table-column>
                <el-table-column prop="materialNo" label="物料编号" width="120" ></el-table-column>
                <el-table-column prop="materialName" label="物料名称" width="120" ></el-table-column>
                <el-table-column prop="preInboundQuantity" label="预计入库数量" width="120" ></el-table-column>
                <el-table-column prop="actualInboundQuantity" label="实际入库数量" width="120" ></el-table-column>
                <el-table-column prop="inboundState" label="单据明细状态" width="120" ></el-table-column>
                <el-table-column prop="unit" label="入库单位" width="120" ></el-table-column>
            </el-table>
            </div>
        </vol-box>
    </div>
</template>

<script>
import VolBox from "@/components/basic/VolBox.vue";
export default {
    components: { VolBox },
    data() {
        return {
            showDetialBox: false,
            row: {},
            tableData: [],
        };
    },
    methods: {
        open(row) {
            this.row = row;
            this.showDetialBox = true;
            this.getDetailData();
        },
        getDetailData() {
            this.http
                .post(
                    "/api/Dt_InboundOrderDetail/GetDetail?InboundOrderID=" + this.row.orderId,
                    {},
                    true
                )
                .then((x) => {
                    if (!x.status) return this.$message.error(x.message);
                    this.tableData = x.data;
                    console.log(this.tableData);
                });
        },
        tableRowClassName({ row, rowIndex }) {
            if (row.isNormal) {
                
            } else if (row.isManual) {
                // return "warning-row";
                return "success-row";
            }
            
        },
    },


    created() { },
};
</script>

<style scoped>
.el-col {
    border-radius: 4px;
}

.grid-content {
    border-radius: 4px;
    min-height: 36px;
}

.content-text {
    display: flex;
    align-items: center;
    justify-content: center;
}

.right-text {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
</style>
<style>
.el-table .warning-row {
    background: #e6a23c;
}

.el-table .success-row {
    background: #f0f9eb;
}

.el-table .error-row {
    background: #f56c6c;
}
</style>